@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.templates.duplicateTemplate({
id: "id",
name: "Q4 2025 Contract"
});
console.log(response);curl --request POST \
--url https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/duplicate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Q4 2025 Contract"
}
'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/duplicate"
payload = { "name": "Q4 2025 Contract" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Q4 2025 Contract'})
};
fetch('https://api.firma.dev/functions/v1/signing-request-api/templates/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"created_date": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "Not Found",
"message": "The requested resource was not found"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Templates
Duplicate template into signing request
Creates a new signing request by duplicating an existing template, including all fields, users, reminders, and settings.
POST
/
templates
/
{id}
/
duplicate
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.templates.duplicateTemplate({
id: "id",
name: "Q4 2025 Contract"
});
console.log(response);Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Template ID to duplicate
Body
application/json
Custom name for the new signing request (defaults to template name)
Maximum string length:
255Response
Template duplicated successfully into a new signing request
Duplicated template details
ID of the newly created signing request
Name of the new signing request
Status of the new signing request
Example:
"draft"
Workspace the signing request belongs to
Description of the new signing request
Creation timestamp
Was this page helpful?
⌘I